=== debian/changelog ===
apparmor (2.8.0-5.1b1) staging; urgency=high

  * No-change rebuild against perl 5.20

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Aug 2014 00:13:28 +0000

apparmor (2.8.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * control: make apparmor-notify depend on libnotify-bin (Closes: 746508).
  * watch: update to the version proposed on
    http://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/apparmor_2.8.0-5.watch?view=markup
    (Closes: 738531).
  * rules, libapparmor-perl.install: replace hardcoded usr/lib/perl5
    with the value of $Config{vendorarch} (Closes: 750128).
    Thanks to Damyan Ivanov <dmn@debian.org> for the patch!

 -- intrigeri <intrigeri@debian.org>  Mon, 02 Jun 2014 12:21:27 +0200

apparmor (2.8.0-5) unstable; urgency=low

  * rules: drop --parallel, since it seems the upstream build is fragile
    when running in parallel mode. Thanks to intrigeri for tracking this
    down! (Closes: 732578)

 -- Kees Cook <kees@debian.org>  Fri, 03 Jan 2014 13:41:43 -0800

apparmor (2.8.0-4) unstable; urgency=low

  * control, {libapparmor1,apparmor-docs}.manpages: move man pages into
    apparmor-docs to avoid multi-arch duplication and hilarity with file
    dates vs buildd timezones (Closes: 731358).
  * patches/r2247-fix-bison3.patch: fix build for bison 3 (Closes: 732695).
  * control: bump standards version, no changes needed.

 -- Kees Cook <kees@debian.org>  Thu, 26 Dec 2013 14:42:03 -0800

apparmor (2.8.0-3) unstable; urgency=low

  * Rebuild with pristine tree to avoid date skew in generated
    manpages (Closes: 731358)

 -- Kees Cook <kees@debian.org>  Fri, 13 Dec 2013 11:14:54 -0800

apparmor (2.8.0-2) unstable; urgency=low

  * Convert to dh(1) and Multi-Arch, thanks to Steve Langasek.
    - add r2240-find-libs.patch to find libraries during tests.

 -- Kees Cook <kees@debian.org>  Mon, 02 Dec 2013 10:13:34 -0800

apparmor (2.8.0-1) unstable; urgency=low

  * Merge with Ubuntu changes.
    - update to 2.8.0 release (Closes: 712370).
    - handle Apache 2.4 transition (Closes: 666808).
    - drop debian/patches/abstractions-X.patch (taken upstream)
    - drop debian/patches/fix-network-rule-support.patch (taken upstream)
    - updated debian/patches/pass-compiler-flags.patch (partially upstream)
  * debian/control:
    - fix typo in long description (Closes: 711398).
    - removed duplicated Section entry for apparmor-easyprof.
    - add missing python Depends.
  * debian/rules:
    - dh_apache2 must execute before dh_strip and dh_fixperms.
    - improved repeat-build cleanup logic.
    - dh_python needs to be called on all packages installing scripts.
    - do not force python version 3.
  * Add debian/patches/fix-font-abstractions.patch (Closes: 714843).
  * Add debian/patches/raise-time-timeout.patch (Closes: 699774).
  * Drop debian/libapache2-mod-apparmor.lintian-overrides (not needed).
  * debian/*.manpages: move aa-exec.8 to apparmor from apparmor-utils.
  * debian/apparmor-utils.dirs: drop unused directories from aa-easyprof.

 -- Kees Cook <kees@debian.org>  Mon, 08 Jul 2013 17:51:40 -0700

apparmor (2.8.0-0ubuntu22) saucy; urgency=low

  * Refresh easyprof
    - drop 0034-easyprof-dont-add-vendor-dir.patch
    - drop 0035-easyprof-update-manpage-for-sdk-base.patch
  * debian/patches/0037-easyprof-sdk-pt2.patch: update easyprof for the
    following:
    - don't add vendor directory to self.templates and self.policy_groups
    - utils/aa-easyprof: adjust error message for manifest read failure
    - utils/aa-easyprof: adjust to use EnvironmentError on failed read of the
      manifest
    - utils/apparmor/easyprof.py: clean up set_template()
    - utils/apparmor/easyprof.py: read_paths should use 'rk'
    - utils/test/test-aa-easyprof.py: adjust tests for above
    - utils/apparmor/easyprof.py
      + valid_path should verify os.path.normpath(path) == (path)
      + adjust valid_profile_name() to start with alpha-numeric and allow
        Debian source package names and version, plus '_'
      + adjust tests for above
    - update valid_variable() to check for valid_path if '/' is in the value
    - adjust valid_path() to have a relative_ok flag (default to False)
    - adjust valid_path() to verify path is same as normalized path
    - add some valid_path() test cases
    - adjust to always quote template vars in policy output
    - add a couple tests that have spaces in the binary and template var
    - update manifest JSON structure to use
      m['security']['profiles']['profile_name'] instead of
      m['security']['profile_name']

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 07 Jul 2013 19:37:56 -0500

apparmor (2.8.0-0ubuntu21) saucy; urgency=low

  * Apache 2.4 transition (LP: #1197617, Closes: 666808). Based on patch from
    intrigeri
    - debian/control:
      + Build-Depends on apache2-dev and dh-apache2 instead of
        apache2-prefork-dev
      + adjust libapache2-mod-apparmor to not Depends on apache2.2-common
      + adjust libapache2-mod-apparmor to Pre-Depends: ${misc:Pre-Depends}
    - create debian/libapache2-mod-apparmor.apache2
    - debian/rules: adjust to use dh_apache2 --noenable
    - debian/libapache2-mod-apparmor.maintscript: remove old prefork profile
    - debian/libapache2-mod-apparmor.install: install new usr.sbin.apache2
      profile
    - debian/libapache2-mod-apparmor.{preinst,postinst,postrm}: update to use
      usr.sbin.apache2
    - debian/libapache2-mod-apparmor.postinst: remove the disable symlink for
      old prefork profile
    - debian/patches/0036-libapache2-mod-apparmor-profile-2.4.patch: update
      mod_apparmor man page to mention loading mpm_prefork, add new
      usr.sbin.apache2 profile and remove old prefork profile
  * debian/rules: honor DEB_BUILD_OPTIONS=nocheck

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 04 Jul 2013 10:20:20 -0500

apparmor (2.8.0-0ubuntu20) saucy; urgency=low

  * remove debian/patches/0033-add-ubuntu-sdk-abstractions.patch. We will

