=== debian/control ===
Source: apparmor
Section: admin
Priority: extra
Maintainer: Kees Cook <kees@debian.org>
Build-Depends: debhelper (>= 9.20120322~), po-debconf, dpkg-dev (>= 1.16.1~),
    autotools-dev, libtool, automake, autoconf, chrpath,
    flex, bison,
    dejagnu,
    swig,
    bzip2,
    apache2-dev, dh-apache2,
    libpam-dev,
    texlive-latex-base, texlive-latex-recommended,
    python-all-dev, python, python3-all-dev, python3,
    perl (>= 5.8.0), liblocale-gettext-perl
Standards-Version: 3.9.5
Homepage: http://apparmor.net/
Vcs-Bzr: https://code.launchpad.net/~kees/apparmor/debian

Package: apparmor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${python3:Depends}, libapparmor-perl, lsb-base, initramfs-tools [linux-any], debconf
Breaks: libapache2-mod-apparmor (<< 2.5.1-0ubuntu3), apparmor-utils (<< 2.8.0-0ubuntu15)
Replaces: apparmor-parser, libapache2-mod-apparmor (<< 2.5.1-0ubuntu3), apparmor-utils (<< 2.8.0-0ubuntu15)
Suggests: apparmor-profiles, apparmor-docs, apparmor-utils
Description: User-space parser utility for AppArmor
 This provides the system initialization scripts needed to use the
 AppArmor Mandatory Access Control system, including the AppArmor Parser
 which is required to convert AppArmor text profiles into machine-readable
 policies that are loaded into the kernel for use with the AppArmor Linux
 Security Module.

Package: apparmor-utils
Architecture: any
Depends: apparmor (>= 2.6.1-4ubuntu1), liblocale-gettext-perl, libterm-readkey-perl, librpc-xml-perl, libapparmor-perl, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${python3:Depends}
Suggests: apparmor-docs, libterm-readline-gnu-perl, vim-addon-manager
Description: Utilities for controlling AppArmor
 This provides the utilities to operate on AppArmor profiles, as well as
 the Perl modules needed for AppArmor audit log parsing. Profiles can be
 created, updated, enforced, set to complain mode, and disabled.

Package: apparmor-profiles
Architecture: all
Depends: ${misc:Depends}, apparmor
Description: Profiles for AppArmor Security policies
 This provides various AppArmor profiles that have not been shipped by
 the packages they provide confinement for. By default, they ship in
 complain mode so that users can test and choose which are desired.

Package: apparmor-docs
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libapparmor1 (<< 2.8.0-4)
Replaces: libapparmor1 (<< 2.8.0-4)
Description: Documentation for AppArmor
 Thie provides some technical documentation for the AppArmor Mandatory
 Access Control system. Currently this a single PDF covering basic
 operation, written some time ago, and the man pages for the AppArmor
 changehat and log parsing functions.

Package: libapparmor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: libapparmor1 (= ${binary:Version}), ${misc:Depends}
Recommends: apparmor-docs
Description: AppArmor development libraries and header files
 This package provides the development libraries and header files needed to
 link against the AppArmor changehat functionality, as well as common log
 parsing routines.

Package: libapparmor1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: changehat AppArmor library
 This package provides the shared library needed for executables to make use
 of the AppArmor profile and changehat functionality, as well as common log
 parsing routines.

Package: libapparmor-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: AppArmor library Perl bindings
 This provides the Perl module that contains the language bindings
 for the AppArmor library, libapparmor, which were autogenerated via
 SWIG.

Package: libapache2-mod-apparmor
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: changehat AppArmor library as an Apache module
 This provides the Apache module needed to declare various differing
 confinement policies when running virtual hosts in the webserver
 by using the changehat abilities exposed through libapparmor.

Package: libpam-apparmor
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: changehat AppArmor library as a PAM module
 This provides the PAM module needed to declare various differing
 confinement policies when starting PAM sessions by using the
 changehat abilities exposed through libapparmor.

Package: apparmor-notify
Architecture: all
Depends: libapparmor-perl, ${perl:Depends}, ${misc:Depends}, libnotify-bin
Description: AppArmor notification system
 This package provides a utility to display AppArmor denial messages via
 desktop notifications. The utility can also be used to generate summary
 reports.

Package: python-libapparmor
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: AppArmor library Python bindings
 This provides the Python module that contains the language bindings
 for the AppArmor library, libapparmor, which were autogenerated via
 SWIG.

Package: python3-libapparmor
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
XS-Python-Version: ${python3:Versions}
Description: AppArmor library Python3 bindings
 This provides the Python3 module that contains the language bindings
 for the AppArmor library, libapparmor, which were autogenerated via
 SWIG.

Package: dh-apparmor
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}
Recommends: apparmor-easyprof
Breaks: debhelper (<< 9.20120115ubuntu3)
Replaces: debhelper (<< 9.20120115ubuntu3)
Description: AppArmor debhelper routines
 This provides the debhelper tools used to install and migrate AppArmor
 profiles. This is normally used from package maintainer scripts during
 install and removal.

Package: apparmor-easyprof
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends}
Breaks: apparmor-utils (<< 2.8.0-0ubuntu14)
Replaces: apparmor-utils (<< 2.8.0-0ubuntu14)
Description: AppArmor easyprof profiling tool
 This provides the aa-easyprof utility which is an easy to use interface for
 AppArmor policy generation. aa-easyprof supports the use of templates and
 policy groups to quickly profile an application.
