=== debian/watch ===
version=3
https://launchpad.net/apparmor \
.*/apparmor-(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
